Package Details: nodejs-cordova 8.0.0-1

Git Clone URL: https://aur.archlinux.org/nodejs-cordova.git (read-only)
Package Base: nodejs-cordova
Description: Cordova command line interface tool
Upstream URL: http://cordova.apache.org/
Licenses: Apache
Submitter: badeball
Maintainer: badeball
Last Packager: badeball
Votes: 14
Popularity: 0.000005
First Submitted: 2014-07-18 11:48
Last Updated: 2018-01-23 16:32

Latest Comments

1 2 Next › Last »

badeball commented on 2016-01-13 15:13

SteveSapolsky, it seems that this was an issue with the xmldom-0.1.20 [1] and it has been corrected in the most recent version. Installing the package consequently works again. Additionally, I have updated it to cordova-5.4.1.

[1] https://github.com/jindw/xmldom/issues/146

SteveSapolsky commented on 2016-01-11 22:04

It currently fails with "TypeError: node.serializeToString is not a function". This is because the xmldom 0.1.20 breaks it. Downgrading to xmldom 0.1.19 helps. I'm not experienced with npm, so I just replaced the xmldom manually like this: `npm install -g xmldom@0.1.19`, `cd /usr/lib/node_modules/cca/node_modules/xmldom`, `sudo rm *`, `cd /usr/lib/node_modules/cca/node_modules/xmldom`, `cp * ../cca/node_modules/xmldom/`. Basically, I just installed the older version of xmldom and replaced the xmldom module inside cca with this version. This worked.

foobster commented on 2015-11-09 14:10

badeball, yep it works on OSX and Ubuntu but when I install this package on Arch and do the same thing then none of the files from www/ are actually copied over to platforms/browser/www/. If I run the build command with the verbose flag (-d) it prints nothing so I don't have much to go on in terms of debugging.

I guess that it's something specific to the current state of my system though if it works for others. I've installed a handful of things using npm in the past, I wonder if any of that might be conflicting. If I do figure out what's going on then I'll report back here.

badeball commented on 2015-11-09 08:33

foobster, am I correct in understanding that you don't experience the described issue under OSX and Ubuntu, but only in some other platform? I've just tested it under Arch Linux and it seems to work fine, ie. www/index.html and platforms/browser/www/index.html appears to be identical after running 'cordova build browser`.

foobster commented on 2015-11-09 00:55

I've installed this package but there seems to be some issue with the configuration or something else. If I run 'cordova create test' it creates the hello-world project as expected. Then if I edit www/index.html and run 'cordova add platform browser' and 'cordova build browser' everything seems to run fine but the index.html files under platforms/browser are still the default hello-world ones. I've tested the exact same sequence on other platforms (OSX and Ubuntu) and the index.html in those cases reflects the changes so I don't think that this is just me misunderstanding how it should work. Am I the only one experiencing this issue?

badeball commented on 2015-10-14 07:55

iamlixiao, I have corrected the error in dependencies. I also updated the version. Thanks for the heads up!

iamlixiao commented on 2015-10-14 00:20

It reports
/tmp/yaourt-tmp-lixiao/aur-nodejs-cordova/./PKGBUILD: line 24: npm: command not found
when in package().
npm should be included as a dependency.

badeball commented on 2015-04-26 11:38

hobarrera, I have added android-platform and android-sdk-build-tools as optional dependencies (android-sdk-platform-tools is required by android-platform). I guess that I would ideally have all the platform packages specify that they provide android-platform, but that doesn't seem to be the case.

I have also updated the version. Thanks for the heads up!

WhyNotHugo commented on 2015-04-24 05:29

Can you add these as optdepends, please:

android-sdk, android-sdk-platform-tools, android-sdk-build-tools, android-platform-22.

Running `cordova build` informs me that I need those installed (though it was a bit non-obvious for a me, as a newbie to this, to find out which exact packages I needed).

Also, 5.0.0 is out.

badeball commented on 2014-10-15 17:21

rliang, I have updated the pkgbuild with the proposed change. Thanks for the heads up!